Get a single order (PrestaShop)

Get Order Details

This endpoint retrieves detailed information about a specific order.

Requirements

orderId. must be precent as a valid parameter to obtain the order information.

Response Body

  • success: Indicates if the request was successful.

  • order: Contains detailed information about the order, including ID, number, customer details, billing and shipping addresses, items, dates, and more.

Important notes:

{
    "shippingMethod": "My Store",
    "shippingOptionReference": "1"
}

This is crucial information when attempting fulfillments, as the shippingOptionReference value serves as the company ID required to complete a successful fulfillment.
It indicates the exact shipping service selected by the buyer and provides the necessary ID to process the fulfillment correctly.

Example Response

{
    "success": true,
    "order": {
        "id": "",
        "number": "",
        "marketPlaceId": null,
        ...
        "events": []
    }
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The unique identifier of the order.

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json